.inputGroup {
  display: flex;

  .input {
    &:first-of-type {
      margin-right: -1px;
      .input-field {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
      }
    }

    &:last-of-type {
      .input-field {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
      }
    }
  }
}

.input {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;

  ::-webkit-contacts-auto-fill-button {
    visibility: hidden;
    pointer-events: none;
    position: absolute;
    right: 0;
  }

  &-field {
    display: block;
    padding: 0.5rem 0.75rem;
    width: 100%;
    height: 100%;
    min-height: var(--btn-height-regular);

    font-family: inherit;
    font-size: 0.875rem;
    line-height: 1;
    color: var(--color-main);

    background-color: var(--form-bg);
    border: var(--form-border);
    box-shadow: var(--form-shadow);
    border-radius: 0.25rem;
    outline: none;
    transition: padding-right 0.2s ease;

    &._textarea {
      height: 4.5rem;
      line-height: 1.4;
      letter-spacing: 0;
      resize: none;
    }

    &:focus {
      box-shadow: inset 0 0 0 1px var(--form-focus-border-color);
    }

    &:disabled {
      color: var(--placeholder-disabled-color);
      background-color: var(--form-disabled-bg);
      pointer-events: none;

      + .input-action .svg {
        fill: var(--placeholder-disabled-color);
      }
    }
  }

  &-action {
    position: absolute;
    z-index: 2;
    right: 0;
    top: 0;

    display: none;
    width: 2.375rem;
    height: 100%;
    cursor: pointer;

    .svg {
      display: block;
      margin: auto;
    }

    &._search {
      .svg {
        fill: var(--color-main-lightest);
      }
    }

    &._clear {
      .svg {
        fill: var(--fill-light);
      }
    }
  }

  &-message-error {
    display: none;
    padding-top: 0.25rem;
    font-size: 0.75rem;
    line-height: 1.2;
    color: var(--error-color);
  }

  &-action + &-action {
    right: 2.375rem;
  }

  &.-action-search {
    .input-field {
      padding-right: 2.35rem;
    }

    .input-action._search {
      display: flex;
    }
  }

  &.-action-clear {
    .input-field {
      padding-right: 2.35rem;
    }

    .input-action._clear {
      display: flex;
    }
  }

  &.-action-clear.-action-search {
    .input-field {
      padding-right: calc(2 * 2.35rem);
    }
  }

  &.-invalid {
    .input-field {
      box-shadow: inset 0 0 0 1px var(--form-error-border-color);

      &:focus {
        // border: var(--form-border);
        box-shadow: inset 0 0 0 1px var(--form-focus-border-color);
      }
    }

    .input-message-error,
    + .input-message-error {
      display: block;
    }
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    &-field {
      height: var(--btn-height-medium);
      font-size: 0.875rem;
    }
  }

  @media screen and (max-width: 980px){

    &.-action-search .input-field {
      padding-right: 3.25rem;
    }

    &-field {
      height: var(--btn-height-huge);
      font-size: 0.875rem;
      &._textarea {
        height: 6.5rem;
        max-height: 12rem;
      }
    }

    &-action {
      width: 3.25rem;

      &._search {
        .svg {
          width: 1.25rem;
          height: auto;
          fill: var(--fill-light);
        }
      }
    }
  }
}
